curl -X GET 'https://api.sondercloud.app/v1/apps' \
-H 'Authorization: Bearer seu_token'
[
{
"id": "67098f88-28c9-4e60-b040-496a778faaaa",
"name": "zynx-api",
"type": "web",
"domain": "zynx-api.sondercloud.app",
"customDomain": "api.zynxapplications.com.br",
"language": "node",
"memoryMb": 512,
"status": "RUNNING",
"containerName": "app-zynx-api-77505c64",
"running": true,
"node": "krypton",
"ram": "345MiB / 512MiB",
"lastUserActionLabel": "restart",
"lastUserActionAt": "2026-07-18T14:32:00Z"
}
]
Gerenciamento
Listar Apps
Retorna todos os apps do usuário autenticado
GET
/
v1
/
apps
curl -X GET 'https://api.sondercloud.app/v1/apps' \
-H 'Authorization: Bearer seu_token'
[
{
"id": "67098f88-28c9-4e60-b040-496a778faaaa",
"name": "zynx-api",
"type": "web",
"domain": "zynx-api.sondercloud.app",
"customDomain": "api.zynxapplications.com.br",
"language": "node",
"memoryMb": 512,
"status": "RUNNING",
"containerName": "app-zynx-api-77505c64",
"running": true,
"node": "krypton",
"ram": "345MiB / 512MiB",
"lastUserActionLabel": "restart",
"lastUserActionAt": "2026-07-18T14:32:00Z"
}
]
curl -X GET 'https://api.sondercloud.app/v1/apps' \
-H 'Authorization: Bearer seu_token'
[
{
"id": "67098f88-28c9-4e60-b040-496a778faaaa",
"name": "zynx-api",
"type": "web",
"domain": "zynx-api.sondercloud.app",
"customDomain": "api.zynxapplications.com.br",
"language": "node",
"memoryMb": 512,
"status": "RUNNING",
"containerName": "app-zynx-api-77505c64",
"running": true,
"node": "krypton",
"ram": "345MiB / 512MiB",
"lastUserActionLabel": "restart",
"lastUserActionAt": "2026-07-18T14:32:00Z"
}
]
Campos da Resposta
string
Estado do app:
BUILDING, RUNNING ou FAILED.boolean
Indica se o container está ativo no momento.
string
Uso de memória atual no formato
usado / limite.Authorizations
Token de API da SonderCloud, enviado no header Authorization: Bearer <token>
Response
Lista de apps
Example:
"web"
Domínio completo do app (ex: meu-app.sondercloud.app)
Example:
"node"
Example:
256
Available options:
BUILDING, RUNNING, FAILED Example:
"64MiB / 256MiB"

